Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.lib.jsf
Class PortletExternalContextWrapper

    java.lang.Object
      javax.faces.context.ExternalContext
          javax.faces.context.ExternalContextWrapper
              org.apache.myfaces.orchestra.lib.jsf.PortletExternalContextWrapper

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.context.ExternalContext>

    public class PortletExternalContextWrapper

extends javax.faces.context.ExternalContextWrapper

Class used by _PortletFacesContextWrapper to allow orchestra work in portlets This class wraps encodeActionURL and encodeResourceURL to include conversationContext param like RequestParameterResponseWrapper does. In portlets we can't do the same than is servlets, because the params added here must be encoded by the portlet container and in portlets we don't have servlet redirect cases.

Version:
  $Revision: 798382 $ $Date: 2009-07-27 22:23:02 -0500 (lun, 27 jul 2009) $
Author:
  Leonardo Uribe(latest modification by $Author: lu4242 $)

Field Summary

Fields inherited from class javax.faces.context.ExternalContext
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`PortletExternalContextWrapper(javax.faces.context.ExternalContext context)`

Method Summary
`java.lang.String` | `encodeActionURL(java.lang.String url)`
`java.lang.String` | `encodeResourceURL(java.lang.String url)`
`javax.faces.context.ExternalContext` | `getWrapped()`

Methods inherited from class javax.faces.context.ExternalContextWrapper
`addResponseCookie, addResponseHeader, dispatch, encodeBookmarkableURL, encodeNamespace, encodePartialActionURL, encodeRedirectURL, getApplicationMap, getAuthType, getContext, getContextName, getFlash, getInitParameter, getInitParameterMap, getMimeType, getRealPath, getRemoteUser, getRequest, getRequestCharacterEncoding, getRequestContentLength, getRequestContentType, getRequestContextPath, getRequestCookieMap, getRequestHeaderMap, getRequestHeaderValuesMap, getRequestLocale, getRequestLocales, getRequestMap, getRequestParameterMap, getRequestParameterNames, getRequestParameterValuesMap, getRequestPathInfo, getRequestScheme, getRequestServerName, getRequestServerPort, getRequestServletPath, getResource, getResourceAsStream, getResourcePaths, getResponse, getResponseBufferSize, getResponseCharacterEncoding, getResponseContentType, getResponseOutputStream, getResponseOutputWriter, getSession, getSessionMap, getUserPrincipal, invalidateSession, isResponseCommitted, isUserInRole, log, log, redirect, responseFlushBuffer, responseReset, responseSendError, setRequest, setRequestCharacterEncoding, setResponse, setResponseBufferSize, setResponseCharacterEncoding, setResponseContentLength, setResponseContentType, setResponseHeader, setResponseStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletExternalContextWrapper

    public PortletExternalContextWrapper(javax.faces.context.ExternalContext context)

Method Detail

### getWrapped

    public javax.faces.context.ExternalContext getWrapped()

  Specified by:
    `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.context.ExternalContext>`
  Overrides:
    `getWrapped` in class `javax.faces.context.ExternalContextWrapper`

### encodeActionURL

    public java.lang.String encodeActionURL(java.lang.String url)

  Overrides:
    `encodeActionURL` in class `javax.faces.context.ExternalContextWrapper`

### encodeResourceURL

    public java.lang.String encodeResourceURL(java.lang.String url)

  Overrides:
    `encodeResourceURL` in class `javax.faces.context.ExternalContextWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.